/**
 * 获取uuid
 */
export const getUuid = () => {
    return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function (c) {
        const r = (Math.random() * 16) | 0;
        const v = c === "x" ? r : (r & 0x3) | 0x8;
        return v.toString(16);
    });
};

/**
 * 通用文件下载方法
 * @param {string} url - 文件URL
 * @param {string} fileName - 文件名
 * @returns {Promise} - 返回下载Promise
 */
export const downloadFile = (url, fileName) => {
    // console.log('url',url);
    // console.log('fileName',fileName);
  return new Promise((resolve, reject) => {
    try {
      const link = document.createElement('a')
      link.href = url
      link.download = fileName
      link.style.display = 'none'
      document.body.appendChild(link)
      link.click()
      document.body.removeChild(link)
      resolve()
    } catch (error) {
      reject(error)
    }
  })
}